#ifndef STRING_UTILS_H_
#define STRING_UTILS_H_

#include "xdvi-config.h"

Boolean str_is_prefix(const char *, const char *);
Boolean str_is_suffix(const char *, const char *);
int length_of_int(int);
/* extern int length_of_long(long); */
int length_of_ulong(unsigned long);
char *normalize_and_expand_filename(const char *);
char *expand_filename(const char *);
char *format_arg(const char *fmt, const char *arg, int *match);
char *escape_format_arg(const char *arg);
char *unquote_arg(char *fmt, const char *arg, int *match, int *len);
char **get_space_separated_list(const char *source);
const char *find_format_str(const char *input, const char *fmt);
#endif /* STRING_UTILS_H_ */
